<template>
  <router-view />
  <div id="nav">
    <p>
      <router-link to="/gallery">Gallery</router-link>
    </p>
    <p>
      <router-link to="/about">About</router-link>
    </p>
    <p>
      <router-link to="/contact">Contact</router-link>
    </p>
  </div>
</template>

<script>
export default {
  setup() {},
  data: () => ({
    randomColor: 0, // Allow color to be randoized
  }),
  computed: {
    cssVars() {
      return {
        '--color': Math.floor(Math.random() * (255 - 120)) + 120,
      };
    },
  },
};
</script>

<style lang="scss">
@font-face {
  /* font-family: comfortaa;
  src: url("./assets/Comfortaa.ttf"); */
  font-family: "Anton";
  src: local("Anton"),
    url("./fonts/Anton-Regular.ttf") format("truetype");
  font-family: "PaytoneOne";
  src: local("PaytoneOne"),
   url('./fonts/PaytoneOne-Regular.ttf') format("truetype");
  font-family: "Questrial";
  src: local("Questrial"),
   url('./fonts/Questrial-Regular.ttf') format("truetype");
}

#app {
  // font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #333;
  display: flex;
  flex-direction: column;
  height: 100vh;
}

#nav {
  padding: 30px;
  width: 100%;
  margin-top: auto;

  hr {
    border-width: 1px;
    border-color: #b6b6b6;
  }

  p {
    text-align: left;
    font-size: xx-large;
  }

  a {
    font-weight: bold;
    color: #333;

    &.router-link-exact-active {
      color: #929292;
      padding: 1rem 0;
    }
  }
}
</style>
